electrum (4.8.1+dfsg-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.
  * debian/control:  Drop debhelpler-compat from version 14 to 13, re-adding
    ${misc:Depends} and ${python3:Depends}.

 -- Soren Stoutner <soren@debian.org>  Mon, 24 Aug 2026 13:18:07 -0700

electrum (4.8.1+dfsg-1) unstable; urgency=medium

  * New upstream release (fixes CVE-2012-2459).
  * debian/source/lintian-overrides:  Refactor
    very-long-line-length-in-source-file tags for new upstream release.
  * debian/control:
    - Bump debhelper-compat from version 13 to 14, removing the now-redundant
      ${misc:Depends} and ${python3:Depends}.
    - Drop Build-Depends on "python3-pytest-xdist <!nocheck>" as running the
      tests in parallel sometimes fails.
    - Add Suggests version constraints for the following to match upstream
      requirements:
      - python3-ledger-bitcoin (>= 0.4.1).
      - trezor (>= 0.20.0).
  * debian/python3-electrum.lintian-overrides:  Refactor
    package-contains-documentation-outside-usr-share-doc tag for new upstream
    release.
  * debian/rules:
    - Stop running tests in parallel as they sometimes fail.
    - Stop generating paymentrequest_pb2.py, no longer used upstream.
    - Remove the new upstream .github directory.

 -- Soren Stoutner <soren@debian.org>  Mon, 17 Aug 2026 15:59:34 -0700

electrum (4.7.2+dfsg-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Mon, 20 Apr 2026 21:19:55 +0000

electrum (4.7.2+dfsg-2) unstable; urgency=medium

  * debian/control:
    - Add Build-Depends on pybuild-plugin-pyproject to handle setup.py
      transition.
    - Add Suggest for ledger-wallets-udev.
  * debian/python3-electrum.lintian-overrides:  Add
    package-contains-documentation-outside-usr-share-doc override for
    dist-info/top_level.txt.
  * debian/README.Debian:  Add information about ledger-wallets-udev to the
    hardware wallets section.

 -- Soren Stoutner <soren@debian.org>  Mon, 22 Jun 2026 18:43:47 -0700

electrum (4.7.2+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Fix location for skipped tests.
  * Remove mismatched-overrides from source lintian-overrides.
  * Update date and version in maintainer manpage.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Wed, 15 Apr 2026 00:38:35 +0000

electrum (4.7.1+dfsg-1) unstable; urgency=medium

  [ Manuel Guerra ]
  * New upstream version.
  * Update year for copyright holders and add new holders into copyright file.
  * Fix typo in control file, "used" instead of "ued".
  * Bump python-electrum-ecc to >= 0.0.7.
  * Update python3-electrum.lintian-overrides to remove the line for anchor.png
    due to changes in the anchor outputs related in RELEASE-NOTES.
  * Update the source lintian overrides.
  * Bump Standards-Version to 4.7.4, no changes needed.
  * Update information for Maintainer's manpage.
  * Add Manuel Guerra to Uploaders.

  [ Soren Stoutner ]
  * debian/README.Debian:  Fix typo in fonts-adobe-sourcesans3.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Thu, 02 Apr 2026 23:35:39 +0000

electrum (4.7.0+dfsg2-1) unstable; urgency=medium

  * Add debian/electrum.NEWS to explain the pyperclip transition.
  * debian/clean:  Remove the following new files generated at build time from
    .proto files (closes: #1044268):
    - electrum/plugins/keepkey/keepkeylib/keepkeylib/exchange_pb2.py
    - electrum/plugins/keepkey/keepkeylib/keepkeylib/messages_pb2.py
    - electrum/plugins/keepkey/keepkeylib/keepkeylib/types_pb2.py
  * debian/control:  Add Suggests for python3-ledger-bitcoin and
    python3-pyperclip.
  * debian/copyright:
    - Exclude electrum/_vendor/pyperclip.
    - Remove pyperclip stanza.
  * debian/README.Debian:
    - Add a TEXT GUI section informing users of the need to install
      python3-pyperclip.
    - Update the Ledger wallet section to recommend installation of the new
      python3-ledger-bitcoin package.
    - Improve the text for the BitBox hardware wallet.
  * debian/rules:  Remove deletion of pyperclip/LICENSE.txt and
    pyperclip/README.md.

 -- Soren Stoutner <soren@debian.org>  Fri, 13 Feb 2026 11:22:40 -0700

electrum (4.7.0+dfsg-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Soren Stoutner <soren@debian.org>  Wed, 04 Feb 2026 16:11:08 -0700

electrum (4.7.0+dfsg-1) unstable; urgency=medium

  * Remove debian/patches/* as the only patch was used for the payserver, which
    is no longer shipped as part of electrum.
  * Remove debian/python3-electrum.links:  These links were all used by the
    payserver.
  * debian/source/lintian-overrides:  Update line numbers from some
    very-long-line-length-in-source-file overrides.
  * debian/control:
    - Add version constraints to the following existing Build-Depends-Indep:
      - python3-aiorpcx (>= 0.25.0).
      - python3-electrum-aionostr (>= 0.1.0).
    - Add Build-Depends-Indep on:
      - python3-pyqt6.qtquick <!nocheck>
      - python3-pytest-xdist <!nocheck>
    - Remove python3-electrum Depends on the following packages, which were only
      needed by the payserver:
      - libjs-jquery
      - libjs-jquery-ui
      - libjs-jquery-ui-theme-ui-lightness
      - node-qrcode-generator
    - Change electrum Depends from python3-pyqt6 to python3-pyqt6.qtquick.
    - Bump Standards-Version from 4.7.2 to 4.7.3, removing the now-redundant
      "Priority: optional" field.
  * debian/copyright:
    - Bump my copyright years to be 2022-2026.
    - Remove the following two entries from Files-Excluded, as the payserver is
      no longer included in the upstream tarball.
      - electrum/plugins/payserver/www/vendor/jquery-*
      - electrum/plugins/payserver/www/vendor/qrcode.js
    - Remove entry for debian/patches/*.
  * debian/electrum.1:  Add the export_lightning_preimage command.
  * debian/python3-electrum.lintian-overrides:  Remove the payserver overrides.
  * debian/rules:
    - Spawn 4 threads for testing.
    - Ignore tests/test_qml_qeconfig.py.
    - Remove entries relating to the payserver.

 -- Soren Stoutner <soren@debian.org>  Fri, 30 Jan 2026 14:50:29 -0700

electrum (4.6.2+dfsg-2~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.
  * debian/control:  Add versioned dependency on "python3-aiorpcx
    (>= 0.25.0-1~bpo13+1)" to use the version from trixie-backports.

 -- Soren Stoutner <soren@debian.org>  Fri, 19 Dec 2025 10:08:29 -0700

electrum (4.6.2+dfsg-2) unstable; urgency=medium

  * debian/control:  Move python3-setuptools from Build-Depends-Indep to
    Build-Depends to fix Salsa CI build source.

 -- Soren Stoutner <soren@debian.org>  Wed, 05 Nov 2025 11:56:56 -0700

electrum (4.6.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove debian/patches/python3-aiorpcx.patch, applied upstream.
  * Remove debian/electrum.lintian-overrides, no longer needed.
  * Add debian/source/lintian-overrides and add overrides for:
    - maintainer-manual-page
    - very-long-line-length-in-source-file
  * debian/patches/Use-system-JavaScript-files.patch:  Fix failing hunk.
  * debian/control:
    - Remove Build-Depends-Indep on:
      - libsecp256k1-dev, which is no longer needed with the introduction of
        python-electrum-ecc.
      - pyqt5-dev-tools and python3-pyqt5.qtmultimedia, which are no longer
        needed with the transition to Qt6.
      - python3-pyqt6.qtmultimedia and python3-pyqt6.qtquick, which are no
        longer needed with the new upstream release.
    - Remove obsolete Build-Depends-Indep version constraints:
      - python3-aiohttp-socks (>= 0.8.4)
      - python3-protobuf (>= 3.20)
    - Remove electrum Depends on:
      - python3-pyqt5
    - Remove electrum and python3-electrum Suggests for:
      - python3-btchip, support dropped upstream.
    - Move python3-pyqt6 from Recommends to Depends for electrum.
    - Add Build-Depends-Indep on:
      - libprotobuf-dev
      - python3-electrum-aionostr
      - python3-electrum-ecc
    - Remove python3-electrum Depends on ${libsecp256k1dep}
  * debian/copyright:
    - Remove the newly-included electrum/gui/fonts/PTMono*, which are released
      under the OFL 1.1, but appear to not have available source.
    - Remove the pre-generated KeepKey protobuf files.  They will be
      re-generated in debian/rules during build.
    - Remove electrum/gui/qml/fonts/* from Files-Excluded, as they are no longer
      packaged upstream.
    - Refresh for new upstream release.
  * debian/electrum.1:  Update man page for new upstream release.
  * debian/lrc:  Exclude debian/copyright, which is falsely detected as
    OFL-1.1-RFN.
  * debian/python3-electrum.lintian-overrides:
    - Add package-contains-documentation-outside-usr-share-doc override for
      plugins/timelock_recovery/intro.txt.
    - Add image-file-in-usr-lib overrides for images that need to be in
      usr/lib/python3/dist-packages.
    - Add repeated-path-segment overrides.
  * debian/README.Debian:  Remove reference to the now-defunct python3-btchip
    in the Ledger hardware wallet section.
  * debian/rules:
    - Ignore the new test_qml_qetransactionlistmodel.py, which only applies to
      Android.
    - Generate the KeepKey protobuf files during build.
    - Remove the new keepkeylib COPYING file shipped upstream.
    - Remove two new README.md files shipped upstream.
    - Remove two new .gitignore files shipped upstream.
    - Remove the source .proto files and the script used to generate them
      in the Debian package.
    - Remove the script used to update the translations in the Debian
      package.
    - Remove the example scripts directory.
    - Remove override_dh_gencontrol, which is no longer needed with the switch
      from depending directly on libsecp256k1 to depending on
      python3-electrum-ecc.
  * debian/watch:
    - Rewrite from version 4 to version 5.
    - Change the Repacksuffix from +ds to +dfsg to reflect the exclusion of the
      PTMono fonts.

 -- Soren Stoutner <soren@debian.org>  Thu, 30 Oct 2025 12:03:04 -0700

electrum (4.5.8+ds-8) unstable; urgency=medium

  * debian/patches/python3-aiorpcx.patch:  Bump maximum version to 26
    (closes: #1111636).

 -- Soren Stoutner <soren@debian.org>  Thu, 21 Aug 2025 10:21:27 -0700

electrum (4.5.8+ds-7) unstable; urgency=medium

  * Remove superfluous debian/source/options.
  * debian/control:
    - Remove unneeded build-depends on devscripts (closes: #1110284).
    - Remove recommends of python3-cbor for the electrum binary package.
    - Add suggests for python3-cbor2, python3-hid, python3-serial for the binary
      packages to support hardware wallets.
    - Rename ${libdep} to ${libsecp256k1dep} to be more explicit.
  * debian/README.Debian:  Improve documentation regarding hardware wallets.
  * debian/rules:
    - Rename -Vlibdep to -Vlibsecp256k1dep to be more explicit.
    - Remove obsolete "Rules-Requires-Root: no".
    - Remove the unneeded DEB_COPYRIGHT_CHECK_IGNORE_REGEX.
  * debian/upstream/metadata:  Standardize formatting.
  * debian/watch:  Improve readability of download version number code.

 -- Soren Stoutner <soren@debian.org>  Tue, 12 Aug 2025 12:02:01 -0700

electrum (4.5.8+ds-6) unstable; urgency=high

  * Add debian/patches/python3-aiorpcx.patch to allow running with version >=
    0.24 (Closes: #1102609).
  * debian/control:  Bump standards version to 4.7.2, no changes needed.

 -- Soren Stoutner <soren@debian.org>  Fri, 11 Apr 2025 10:36:08 -0700

electrum (4.5.8+ds-5) unstable; urgency=medium

  * debian/control:
    - Add suggests on electrum to python3-electrum.
    - Bump standards version to 4.7.1, no changes needed.

 -- Soren Stoutner <soren@debian.org>  Mon, 24 Feb 2025 16:10:26 -0700

electrum (4.5.8+ds-4) unstable; urgency=medium

  * Remove debian/patches/Improve-message-about-PyQt5.patch, no longer
    applicable.
  * Add debian/lrc.config.
  * Add debian/salsa-ci.yml with recommended default contents.
  * debian/control:
    - Add depends on python3-pyqt5 for the electrum package, thanks to Mladen
      Mijatov <meaneye.rcf@gmail.com> (Closes: #1098430).
    - Move most of the build-depends to build-depends-indep.
  * debian/copyright:
    - Update to reflect new and removed files.
    - Clarify stanzas for the vendored programs.
    - Add 2025 to copyright year for myself.
  * debian/electrum.1:  Update license in header to be Expat or GPLv3+.
  * debian/python3-electrum.links:  Add leading slashes for readability.

 -- Soren Stoutner <soren@debian.org>  Thu, 20 Feb 2025 18:35:00 -0700

electrum (4.5.8+ds-3) unstable; urgency=medium

  * debian/control:
    - Move python3-cbor and python3-matplotlib from Depends to
      Recommends in the python3-electrum package as they are not required for
      basic functionality to work.
    - Move python3-zbar from Suggests to Recommends in the python3-electrum
      package as it is required for scanning barcodes.

 -- Soren Stoutner <soren@debian.org>  Wed, 06 Nov 2024 23:36:50 -0700

electrum (4.5.8+ds-2) unstable; urgency=medium

  * debian/control:
    - Remove Recommends on python3-qdarkstyle as it is already handled by a
      Depends.
    - Add Depends on python3-matplotlib, which is required to plot the
      transaction history.
  * debian/electrum.docs:  Add a comment explaining the purpose.
  * debian/electrum.install:
    - Install all the available icons sizes to /usr/share/icons/hicolor/.
    - Improve the comments.
  * debian/electrum.manpages:  Add a comment explaining the purpose.
  * debian/python3-electrum.docs:  Add a comment explaining the purpose.
  * debian/python3-electrum.install:  Add a comment explain the purpose.

 -- Soren Stoutner <soren@debian.org>  Mon, 04 Nov 2024 11:12:26 -0700

electrum (4.5.8+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Build-Depend on "python3-pytest <!nocheck>".
    - Add "Testsuite: autopkgtest-pkg-pybuild".
  * debian/copyright:  Replace SourceSansPro-Bold.otf with SourceSans3-Bold.otf
    in Files-Excluded.
  * debian/patches:  Remove Use-fonts-adobe-sourcesans3.patch, applied upstream.
  * debian/rules:
    - Exclude tests that don't apply to the Debian build.
    - Remove the obsolete deletion of qdarkstyle from requires.txt.
    - Remove superfluous colons.
  * debian/watch:  Change the repack suffix from +dfsg to +ds, as the things
    that are currently being removed are all DFSG-free.

 -- Soren Stoutner <soren@debian.org>  Thu, 31 Oct 2024 13:01:39 -0700

electrum (4.5.5+dfsg-4) unstable; urgency=medium

  * Add electrum.docs to install the upstream README.md.
  * Add python3-electrum.docs to install the upstream README.md and
    debian/README.Debian.
  * debian/control:
    - Switch Build-Depends from python3-trezor to trezor to pickup the trezorctl
      binary.
    - Remove unneeded Build-Depend on python3-ecdsa.
    - Update Build-Depends version constraints.
  * debian/copyright:  Update for new files and reformat for readability.
  * debian/rules:  Remove unnecessary README.md files.

 -- Soren Stoutner <soren@debian.org>  Mon, 07 Oct 2024 13:57:46 -0700

electrum (4.5.5+dfsg-3) unstable; urgency=medium

  * debian/control: Unify suggests for electrum and python3-electrum.

 -- Soren Stoutner <soren@debian.org>  Tue, 01 Oct 2024 15:11:26 -0700

electrum (4.5.5+dfsg-2) unstable; urgency=medium

  * Add debian/patches/Use-fonts-adobe-sourcesans3.patch
  * debian/control: Suggest fonts-adobe-sourcesans3.
  * debian/README.debian: Document the purpose of fonts-adobe-sourcesans3.

 -- Soren Stoutner <soren@debian.org>  Mon, 09 Sep 2024 15:17:54 -0700

electrum (4.5.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Switch build-depends from python-cbor to python-cbor2.
    - Bump standards-version to 4.7.0 (no changes).
  * debian/copyright:  Update the copyright year and email address for my
    upstream contributions.
  * debian/electrum.1:  Update date and version.
  * debian/python3-electrum.lintian-overrides:  Add overrides for wordlists,
    which are not documentation.

 -- Soren Stoutner <soren@debian.org>  Mon, 10 Jun 2024 09:04:52 -0700

electrum (4.5.4+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with newer libsecp256k1.

 -- Bastian Germann <bage@debian.org>  Wed, 15 May 2024 08:38:29 +0200

electrum (4.5.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Generate Depends: libsecp256k1 based on -dev.

 -- Bastian Germann <bage@debian.org>  Mon, 13 May 2024 16:36:31 +0200

electrum (4.5.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Remove redundant electrum/_vendor/pyperclip/LICENSE.txt.
    - Remove unnecessary electrum/plugins/README.
  * debian/copyright:
    - Add copyright information for electrum/_vendor/pyperclip/__init__.py.
    - Update copyright years to include 2024.
    - Reformat for readability.

 -- Soren Stoutner <soren@debian.org>  Sat, 16 Mar 2024 12:33:25 -0700

electrum (4.5.2+dfsg-2) unstable; urgency=medium

  * debian/control:
    - Remove python3-electrum recommends on texlive-fonts-extra
      (Closes: #1063843).
    - Move python3-electrum recommends on fonts-dejavu-core to suggests.
  * README.Debian:  Add a section explaining when users might like to install
    the suggested fonts packages.

 -- Soren Stoutner <soren@debian.org>  Tue, 13 Feb 2024 11:24:50 -0700

electrum (4.5.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Remove build-depends on python3-pyqt5 and python3-pyqt5.qtquick.
    - Add build-depend on python3-jsonpatch, python3-pyqt6,
      python3-pyqt6.qtmultimedia, and python3-pyqt6.qtquick.
    - Switch electrum recommends from python3-pyqt5 to python3-pyqt6.
    - Add python3-electrum depends on python3-cbor (Closes: #1062448).
    - Add python3-electrum recommends on texlive-fonts-extra to replace the
      excluded SourceSansPro-Bold.otf.
    - Remove obsolete breaks and replaces.
    - Replace my soren@stoutner.com email address with soren@debian.org.
    - Reformat for clarity.
  * debian/copyright:
    - Remove obsolete kivy exclusion (kivy was removed upstream with this
      release).
    - Exclude electrum/plugins/revealer/SIL Open Font License.txt and
      electrum/plugins/revealer/SourceSansPro-Bold.otf.
    - Remove the now-unneeded OFL license.
    - Update copyright years.
    - Replace my soren@stoutner.com email address with soren@debian.org.
    - Reorder licenses for clarity.
  * debian/electrum.1:
    - Remove references to the dumpgraph and inject-fees commands, which were
      removed upstream with this release.
    - Update copyright year.
    - Replace my soren@stoutner.com email address with soren@debian.org.
  * debian/patches:
    - Refresh Improve-message-about-PyQt5.patch.
    - Replase my soren@stoutenr.com email address with soren@debian.org in
      Use-system-JavaScript-files.patch.
  * debian/rules:  Remove obsolete deletion of "SIL Open Font License.txt".

 -- Soren Stoutner <soren@debian.org>  Wed, 07 Feb 2024 16:04:45 -0700

electrum (4.4.6+dfsg2-1) unstable; urgency=medium

  * debian/control:  Remove unneeded python3-kivy from Build-Depends.  Kivy is
    only used by the Android build, and the transitory dependency on
    gst-python1.0 was going to cause electrum to be removed from testing (see
    #1055575).
  * debian/copyright:  Completely remove the Kivy directory so that the package
    builds without the Kivy dependency.
  * debian/rules:  Remove the unneeded deletion of the Kivy directory before
    binary package generation.

 -- Soren Stoutner <soren@stoutner.com>  Tue, 05 Dec 2023 22:04:39 -0700

electrum (4.4.6+dfsg-1) unstable; urgency=high

  * New upstream release (includes important security fixes for Lightning).
  * Remove debian/org.electrum.electrum.metainfo.xml.
  * debian/copyright:  Update copyright information for AppStream file changes.
  * debian/electrum.install:  Use the upstream AppStream
      org.electrum.electrum.metainfo.xml.
  * debian/watch:  Update watch file to use `dfsg` instead of `dfsg1`.

 -- Soren Stoutner <soren@stoutner.com>  Fri, 25 Aug 2023 13:14:41 -0700

electrum (4.4.5+dfsg1-3) unstable; urgency=medium

  * debian/clean:  Remove file generated from .proto at build time
      (Closes: #1044268).
  * debian/electrum.1:  Update man file.
  * debian/source/options:  Ignore auto-generated build changes to files in
      Electrum.egg-info (Closes: #1044268).

 -- Soren Stoutner <soren@stoutner.com>  Sat, 19 Aug 2023 17:34:20 -0700

electrum (4.4.5+dfsg1-2) unstable; urgency=medium

  [ Bastian German ]
  * debian/control:  Remove Tristan Seligmann <mithrandi@debian.org> from
    uploaders (Closes: #1041171).

  [ Soren Stoutner ]
  * debian/copyright:  Add copyright information for new man file.
  * debian/electrum.1:  Rewrite man file (Closes: #884070, #884071).
  * debian/rules:  Remove the bundled Electrum executable from the
    python3-electrum package.

 -- Soren Stoutner <soren@stoutner.com>  Sat, 15 Jul 2023 10:01:22 -0700

electrum (4.4.5+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add myself (Soren Stoutner) to uploaders.
    - Remove Depends: python3-distutils from the python-electrum
      package.
    - Add Suggests: python3-btchip, python3-trezor to the
      python-electrum package.
    - Switch the order of the binary packages so that README.debian
      is in the electrum package.
  * debian copyright:
    - Remove electrum/_vendor from Files-Excluded.
    - Add electrum/_vendor/distutils/version.py copyright.
    - Add electrum/gui/qml/fonts/* to Files-Excluded. These fonts are
      only used for the Android GUI.
    - Remove copyright information for electrum/gui/qml/fonts/PTMono*.
    - Increment copyright years.
  * debian/patches:
    - Remove Correct-desktop-exec.patch; applied upstream.
    - Remove Replace-libsecp256k1-SONAME.patch; fixed upstream.
    - Remove Replace-vendored-distutils.patch; handled upstream.
    - Add Forwarded: not-needed to Improve-message-about-PyQt5.patch.
  * debian/rules:
    - Remove electrum/_vendor/distutils/LICENSE as the information has
      been added to debian/copyright.
    - Remove electrum/gui/qml/ which is only used for the Android GUI.
  * README.debian: Add information for hardware wallets
    (Closes: #1030886).

 -- Soren Stoutner <soren@stoutner.com>  Sat, 24 Jun 2023 12:09:36 -0700

electrum (4.3.4+dfsg1-1) unstable; urgency=medium

  * Team upload

  [ Soren Stoutner ]
  * New upstream release.
  * debian/control:  Switch python3-electrum depends from
    libjs-jquery-ui-theme-trontastic to
    libjs-jquery-ui-theme-ui-lightness to match upstream changes.
  * debian/copyright:  Update to match renamed patch.
  * debian/electrum.lintian-overrides:  Override
    desktop-entry-lacks-keywords-entry because the Name and GenericName
    entries already contain all possible words that could be placed in
    the Keywords field.
  * debian/patches:  Refresh and rename.
  * debian/rules:  Remove additional redundant license file contained
    in debian/copyright.
  * This release finally includes a working payserver, probably for the
    first time in Debian.

 -- Soren Stoutner <soren@stoutner.com>  Thu, 02 Feb 2023 15:52:07 -0700

electrum (4.3.3+dfsg1-1) unstable; urgency=medium

  * Team upload

  [ Soren Stoutner ]
  * New upstream release.
  * Add a metainfo.xml file.
  * debian/NEWS: Remove obsolete entry for version no longer in
      Debian.
  * debian/control: Bump Standards-Version to 4.6.2 (no changes).
  * debian/copyright:
    - Exclude unneeded Kivy fonts.
    - Update excluded directories for new paths in upstream tarball.
  * debian/electrum.install: Install the metainfo.xml file.
  * debian/patches: Update 0004-Use-system-JavaScript-files.patch
      to match new paths in upstream tarball.
  * debian/python3.electrum.links: Create a payserver symlink to
      correct for an upstream tarball packaging problem.
  * debian/rules:
    - Remove unneeded Kivy GUI, which is only used for the
      Android build.
    - Remove a payserver file to correct for an upstream
      tarball packaging problem.
    - Remove upstream cruft.

 -- Bastian Germann <bage@debian.org>  Fri, 13 Jan 2023 16:00:42 +0100

electrum (4.3.2+dfsg1-5) unstable; urgency=medium

  * Team upload
  * Move to unstable

 -- Bastian Germann <bage@debian.org>  Tue, 27 Dec 2022 14:32:58 +0100

electrum (4.3.2+dfsg1-4) experimental; urgency=medium

  * Team upload
  * Patch: Replace libsecp256k1 SONAME

 -- Bastian Germann <bage@debian.org>  Mon, 26 Dec 2022 17:26:52 +0100

electrum (4.3.2+dfsg1-3) experimental; urgency=medium

  * Team upload
  * Update libsecp256k1-1 to new package name

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-aiohttp, python3-cbor,
      python3-cryptography and python3-pyaes.
    + python3-electrum: Drop versioned constraint on python3-cryptography in
      Depends.

 -- Bastian Germann <bage@debian.org>  Mon, 26 Dec 2022 14:49:15 +0100

electrum (4.3.2+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * d/rules: Fix missing space escape.

 -- Bastian Germann <bage@debian.org>  Sat, 22 Oct 2022 15:56:33 +0200

electrum (4.3.2+dfsg1-1) unstable; urgency=high

  * Team upload.
  * Patch: Replace vendored distutils with system's.

  [ Soren Stoutner ]
  * New upstream version 4.3.2 (Closes: #1001064, #1012361, #1021959).
  * Repack the new version to remove sourceless minified JavaScript files
    (Closes ##1022095).
  * Switch to new "sourceonly" upstream tarball (see the upstream changelog
    for release 4.3.1).
  * Update dependencies and installed files.
  * Remove unneeded include-binaries file.
  * debian/control: Bump Standards-Version to 4.6.1 (no changes).
  * debian/copyright: Update and reformat copyright and license information.
  * debian/patches:
    - Refresh 0001-Improve-message-about-PyQt5.patch.
    - Add 0003-Correct-desktop-exec.patch.
    - Add 0004-Use-system-JavaScript-files.patch
  * debian/python3-electrum.link: Create file and add system resource links.
  * debian/rules:
    - Build paymentrequest_pb2.py from the .proto file.
    - Remove redundant license files from the binary packages.
  * debian/upstream/signing-key.asc: Strip superfluous signatures.
  * debian/watch: Update to version 4 and refactor for "sourceonly" tarball.

 -- Bastian Germann <bage@debian.org>  Tue, 18 Oct 2022 21:45:04 +0200

electrum (4.0.9-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 15 Jan 2021 16:03:10 +0200

electrum (4.0.2-2) unstable; urgency=medium

  * Filter out qdarkstyle dependency (Closes: #969225).

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 30 Aug 2020 13:03:14 +0200

electrum (4.0.2-1) unstable; urgency=medium

  * Fix dependencies on python3-{attr,cryptography} (Closes: #968563, #968666).
  * Improve message about PyQt5 (Closes: #917032).
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Set Rules-Requires-Root: no.
  * Use dh-sequence-python3.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 20 Aug 2020 15:57:28 +0200

electrum (4.0.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/gbp.conf: Turn pristine-tar on
  * New upstream version 4.0.2 (Closes: #964635, #964828)
  * debian/control: Adjust the Build-dependencies
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/control: Add python3-qdarkstyle to the Recommends (Closes: #913759)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 23 Jul 2020 14:46:59 +0200

electrum (3.3.8-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - Fix critical vulnerability allowing certain malicious servers to display
      fishing messages to the user (Closes: #921688)
    - debian/control: Update the build-dependencies
  * debian/rules: Stop calling pyrcc5, this is not needed anymore
  * Do not move files in debian/rules but use debian/*.install files
  * debian/control: Add proper Breaks/Replaces for electrum.png being moved
    between packages (Closes: #912042)
  * debian/control: revealer plugin seems to explicitly use "DejaVu Sans Mono"
    font, recommend fonts-dejavu-core accordingly. Do not delete
    SourceSansPro-Bold.otf font anymore as it's also explicitly used, but not
    part of any public font package
  * debian/control: Bump Standards-Version to 4.4.0 (no further changes)
  * debian/control: Add libsecp256k1-0 to the Recommends, it is used to speed
    up elliptic curve operations (Closes: #913760)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 07 Sep 2019 10:34:31 +0200

electrum (3.2.3-1) unstable; urgency=medium

  * New upstream release.
    - Fix build issues (closes: #910306).
  * Bump Standards-Version to 4.2.1 (no changes).
  * Update debian/copyright.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 22 Oct 2018 07:20:00 +0200

electrum (3.1.3-1) unstable; urgency=medium

  * Update maintainer address (I am effectively the sole maintainer);
    closes: #899486.
  * Move git repository to Salsa.
  * New upstream release.
    - Drop patches (applied upstream).
  * Bump Standards-Version to 4.1.4 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 10 Jun 2018 19:24:45 +0200

electrum (3.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 12 Mar 2018 21:42:01 +0200

electrum (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat level to 11.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 10 Mar 2018 18:35:06 +0200

electrum (3.0.6-1) unstable; urgency=medium

  * New upstream release.
    - Fixes an issue with parsing some transactions.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 10 Feb 2018 23:25:59 +0200

electrum (3.0.5-1) unstable; urgency=high

  * New upstream release.
    - JSON-RPC interface is now password protected for further security,
      and locked down when using the GUI.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 08 Jan 2018 03:49:04 +0200

electrum (3.0.4-1) unstable; urgency=high

  * New upstream release.
    - Fixes a security issue allowing hostile JavaScript to access the
      JSON-RPC server: https://github.com/spesmilo/electrum/issues/3374
  * Fix debian/copyright for new vendored packages.
  * Bump Standards-Version to 4.1.3 (no changes).
  * Bump debhelper compat level to 10.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 07 Jan 2018 03:43:55 +0200

electrum (3.0.3-1) unstable; urgency=medium

  * New upstream release (closes: #881703).

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 18 Nov 2017 12:49:34 +0200

electrum (2.9.3-1) unstable; urgency=medium

  * New upstream release (closes: #870081, #875828, #878288).
    - Cold storage signing issue fixed (closes: #870081).
    - Drop slowaes dependency, add pycryptodome + pyaes.
  * Add some other missing dependencies.
  * Fixed a typo ("defaut") in the man page.
  * Update copyright file to properly cover "packages".

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 23 Nov 2016 14:32:35 +0200

electrum (2.6.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 22 May 2016 03:59:05 +0200

electrum (2.6.3-1) unstable; urgency=medium

  * New upstream release.
    - Drop backported install-wizard-connect.patch.
  * Add Suggests: python-zbar and update the installation hint to suggest
    apt-get instead of pip (closes: #819517).
  * Bump Standards-Version to 3.9.7 (no changes).
  * Update Vcs-* links.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 04 Apr 2016 03:02:39 +0200

electrum (2.5.4-2) unstable; urgency=medium

  * Backport upstream patch (e9ee851b) for install wizard issue.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 04 Dec 2015 08:20:45 +0200

electrum (2.5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 12 Nov 2015 19:47:32 +0200

electrum (2.5.3-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 12 Nov 2015 01:59:53 +0200

electrum (2.5.2-2) unstable; urgency=medium

  * Add python-qt4 to Recommends, as most users will want this installed
    for the GUI to work (closes: #803422).

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 30 Oct 2015 09:05:12 +0200

electrum (2.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 30 Oct 2015 07:40:24 +0200

electrum (2.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 23 Oct 2015 21:00:40 +0200

electrum (2.4.4-1) unstable; urgency=low

  * New upstream release.
    - No longer need to repack, docs removed upstream due to being
      outdated / deprecated.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 24 Aug 2015 00:44:34 +0200

electrum (2.4.2+dfsg1-1) unstable; urgency=low

  [ Vasudev Kamath ]
  * Drop myself from uploaders.

  [ Tristan Seligmann ]
  * New upstream release (closes: #792231, #788538).
    - Update debian/watch.
    - Remove 3001_dont_fetch_translations_from_web.patch: obsolete.
    - Remove 2001_add_tailing_semicolon.patch: merged upstream.
    - Remove 2002_dont_use_local_share.patch: obsolete.
    - Remove 1001_use_sslv23_method.patch: merged upstream.
    - Remove 1002_qt_compatibility.patch: merged upstream.
    - Repack upstream tarball to remove prebuilt sphinx docs which contain
      some JavaScript libraries without source.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 20 Aug 2015 23:55:43 +0200

electrum (1.9.8-4) unstable; urgency=medium

  [ Tristan Seligmann ]
  * Backport upstream patch fixing wallet wizard (closes: #764138).

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 13 Jan 2015 13:29:08 +0200

electrum (1.9.8-3) unstable; urgency=medium

  * Backport upstream change to use PROTOCOL_SSL23 instead of
    PROTOCOL_SSL3 which was removed in python 2.7.8-12 (closes: #770392).
  * Make some additional description fixes.
    - Thanks to Carlo Stemberger this time.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 23 Nov 2014 09:59:37 +0200

electrum (1.9.8-2) unstable; urgency=medium

  * Update / fix package description.
    - Thanks to Duncan de Wet for the updated description.
  * Bump Standards-Version to 3.9.6.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 05 Oct 2014 03:09:37 +0200

electrum (1.9.8-1) unstable; urgency=medium

  * New upstream release.
  * Update translations patch and translations.
  * Install upstream changelog.
  * Enable PGP signature checking in uscan.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 04 May 2014 10:30:45 +0200

electrum (1.9.7-1) unstable; urgency=medium

  [ Vasudev Kamath ]
  * Add Tristan Seligmann as uploader in debian/control.in
  * Build-Depends added to debian/control moved to debian/rules for clean
    regeneration of control using CDBS.
  * Rename dont_use_local_share.patch to follow patch naming micro
    guidelines as defined in debian/patches/README.
  * Clean up patch headers of dont_use_local_share.patch
  * Add README.source describing some CDBS conventions used in the package.

  [ Tristan Seligmann ]
  * New upstream release.
  * Bump Standards-Version.
  * python-qt4 dependency is actually present again after I accidentally broke
    it in the last version (closes: #733592).

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 15 Jan 2014 01:52:20 +0200

electrum (1.9.5-1) unstable; urgency=low

  [ Tristan Seligmann ]
  * New upstream release (closes: #730353).
    - Contacts bugfix included in 1.8.1 (closes: #727232).
  * Add myself to Uploaders.
  * Acknowledge NMU.
  * Update watch file.
  * Update mk18n.py patch and ship new translations file.
  * Bump dependency on python-ecdsa for secp256k1.
  * Remove deprecated CDBS dependency management.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 11 Dec 2013 11:52:51 +0200

electrum (1.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "electrum fails to launch from terminal":
    add dependency on python-qt4.
    (Closes: #724750)

 -- gregor herrmann <gregoa@debian.org>  Mon, 04 Nov 2013 19:29:31 +0100

electrum (1.8-1) unstable; urgency=low

  * Initial Release.
    Closes: bug#704464

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Wed, 19 Jun 2013 21:44:47 +0530
